<?php

abstract class VerifoneAbstarctModuleFrontController extends ModuleFrontController
{
    /** @var string module name */
    public $name = 'verifone';

    /** @var  array Contain ajax response. */
    public $jsonValues;

    /** @var  array  POST and GET values defined in init function */
    public $request;

    /** @var  string Contain redirect URL.. */
    public $redirectUrl;

    /** @var Array containing errors */
    public $errors;

    /**
     * @see ModuleFrontController::run
     */
    public function run()
    {
        $this->init();
        if ($this->checkAccess()) {
            $this->postProcess();
        }

        if (!empty($this->redirectUrl)) {
            $this->redirectWithNotifications($this->redirectUrl);
        }
    }

    public function init()
    {
        parent::init();
    }

    public function transformFromCents($inputPrice, $precision)
    {
        $cents_as_int = (int)$inputPrice;
        $cents_as_float = $cents_as_int / pow(10, $precision);

        return $cents_as_float;
    }
}
