<?php

class Verifone_Helper
{

	private $mobile_detect;

	public function __construct() {
		$this->mobile_detect = new Mobile_Detect();
	}

	public function getDeviceType()
	{
		$device_type = 'S';
		if($this->mobile_detect->isMobile()) {
			$device_type = 'P';
		} elseif($this->mobile_detect->isTablet()) {
			$device_type = 'T';
		}

		return $device_type;
	}

	/**
	 * Used strictly for unit tests
	 * 
	 * @param $class
	 */
	public function setMobileDetectClass($class)
	{
		$this->mobile_detect = $class;
	}
}
